=== debian/changelog ===
open-infrastructure-package-tracker (20170515-3) unstable; urgency=medium

  * Uploading to sid.
  * Removing logfiles when purging package (Closes: #886929).
  * Adding distribution upload note to last debian changelog entry.
  * Updating to debhelper version 11.
  * Updating to standards version 4.1.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Feb 2018 08:31:39 +0100

open-infrastructure-package-tracker (20170515-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.1.1.
  * Using https for copyright format url.
  * Unconditionally overwrite symlinks for apt keyring in /var/lib
    /package-tracker on package reconfiguration (Closes: #875413).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 14 Oct 2017 17:57:33 +0200

open-infrastructure-package-tracker (20170515-1) unstable; urgency=low

  * Initial upload to sid (Closes: #863128).

 -- Andreas Kreuzer <andreas.kreuzer@progress-linux.org>  Mon, 15 May 2017 16:43:45 +0200
