=== debian/control ===
Source: open-infrastructure-package-tracker
Section: admin
Priority: optional
Maintainer: Andreas Kreuzer <andreas.kreuzer@progress-linux.org>
Uploaders:
 Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 asciidoc,
 debhelper (>= 11),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 4.1.3
Homepage: https://open-infrastructure.net/software/package-tracker
Vcs-Browser: https://sources.progress-linux.org/users/andreas.kreuzer/debian/packages/open-infrastructure-package-tracker
Vcs-Git: https://sources.progress-linux.org/users/andreas.kreuzer/debian/packages/open-infrastructure-package-tracker

Package: open-infrastructure-package-tracker
Architecture: all
Depends:
 python3,
 python3-apt,
 ${misc:Depends},
Description: Compare and track package versions in debian repositories
 package-tracker is designed to compare apt archives from a derrivate (debian
 extending repositories) against their parent ones. As such it is possible to
 track changes of package versions in other archives.
