=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/package-tracker/upstream/package-tracker-(.+)\.tar\.xz
